---
search:
  tags:
    - Price Relays V2
    - POST
seo:
  description: >-
    Bulk-creates price relay target rules.… Reference for the POST
    /api/v2/{team_slug}/{app_slug}/price-relays/targets endpoint in the
    Management API v2.
sidebar:
  label: Create price relay targets
  badge: POST
title: Create price relay targets
type: openapi-operation
---
Bulk-creates price relay target rules. Successful entities are returned in data; per-item failures in errors keyed by the rule name.

`POST /api/v2/{team_slug}/{app_slug}/price-relays/targets`

**Request body** (`application/json`, required)

- `targets` (PriceRelayTargetRuleInput[], required)

Request body example:

```json
{
  "targets": [
    {
      "name": "string",
      "store_group_slug": "string",
      "market_slug": "string",
      "active": true,
      "aggregation": "string"
    }
  ]
}
```

**Responses**

- `201` — Created (partial success possible)
- `400` — Request-level failure
- `401` — Request-level failure
- `403` — Request-level failure
- `500` — Request-level failure

Response example, 201:

```json
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "app_id": "affd1d10-9538-4fc8-9e0b-4594a28c1335",
      "name": "string",
      "store_group": "0b23369c-9687-4c4c-af38-d6700348bb98",
      "store_group_slug": "string",
      "market": "7cbb2c4d-c9b2-4555-b35d-f45eb2fff673",
      "market_slug": "string",
      "active": true,
      "aggregation": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "errors": [
    {
      "name": "string",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "message": "string"
    }
  ]
}
```
